Recents
GeneXus 15 Upgrade 4Official Content

This article is an overview of GeneXus 15 Upgrade 4 features (compared to GeneXus 15 Upgrade 3) and what needs to be taken into account to adopt it.

Download

https://www.genexus.com/developers/DownloadCenter?,,,5301;;

Overview

Security

  • We have kept increasing security, fixed issues (false positives, HTTP 403 errors) related to read-only sensitive data and related troubleshooting. More information at SAC 41179.

Smart Devices

GAM

  • Google Authentication Type changes in Web (Java, .NET) and Smart Devices (Android, iOS).  Details in Announcement: Update required due to changes in Google API)
  • The GAM platform for NET - iSeries is just one, regardless of the Client Access version installed on the client machine. See SAC# 41175
  • GAM Schema changes from 4.0.2 to 4.0.3 to support the new features included in this update. (The new schema maintains compatibility). See GAM database version 4.0.3
  • GAM processes within the GeneXus IDE run independently from the IDE; so in Java models, they run in Java. Besides, the 32 bits drivers for NET are not required anymore. You can use 64 bits drivers. See SAC #41286.
  • New multitenant scenario supported (authenticating to an Identity Provider). See SAC #41208

GXflow

  • Every CRUD operation over users and roles in GAM Backend are automatically reflected in GXFlow Client, and vice versa. More information at GXflow - GAM Integration.

Deployment

Compatibility

  • As of upgrade 4, the GAM Application's Environment Settings are used to determine the behavior of many functionalities. Check that they are correctly configured. Sac #41326.
  • When using GAM and Authentication Types Facebook, Google, or Twitter, communication between clients (iOS, Android) and server (Java or .NET) change and are not compatible with previous versions. So you need to update both, the client-side and the server-side when using those authentication types.
  • Software requirement changes
    • iOS generator requires XCode 8.3, Swift 3.1 and SDK 10.3. (details in iOS Requirements).
    • When using GAM in Java Environment, only the corresponding JDBC driver is required (The ADO.NET client isn't needed anymore)

Details

GeneXus: http://www.genexus.com/developers/RN?,0,,0;4;V15;3;4;;

GXserver: http://www.genexus.com/developers/RN?,0,,0;6;V15;3;4;; Note: The setup download will be available soon.

GXflow: http://www.genexus.com/developers/RN?,0,,0;3;V15;3;4;;

Preview Channel

Before releasing, previews were available at the Preview channel: GeneXus 15 Upgrade 4 Preview  


Was this page helpful?
What Is This?
Your feedback about this content is important. Let us know what you think.